extends Node


func _on_play_button_pressed() -> void:
	get_tree().change_scene_to_file("res://scenes/prototype_survival.tscn")
	$ChannelPlayer.call("Play")


func _on_exit_button_pressed() -> void:
	get_tree().root.propagate_notification(NOTIFICATION_WM_CLOSE_REQUEST)
	get_tree().quit()
	$ChannelPlayer.call("Play")


func _on_button_pressed() -> void:
	$"../AboutWindow".popup_centered()
	$ChannelPlayer.call("Play")

func _on_almanach_button_pressed() -> void:
	$"../Almanach".visible = true
	$ChannelPlayer.call("Play")


func _on_splash_button_pressed() -> void:
	$"../PrototypeWindow".popup_centered()
